Get the organisation compliance rollup
import requests
url = "https://platform.ankra.app/org/security/compliance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/compliance \
--header 'Authorization: Bearer <token>'{
"clusters": [
{
"benchmarks": [
{
"fail_count": 123,
"failed_checks": 123,
"pass_count": 123,
"spec_id": "<string>",
"title": "<string>",
"updated_at": "<string>"
}
],
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"config_audit": {
"failed_count": 123,
"report_count": 123,
"severity": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123
}
},
"detail": "<string>"
}
]
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Get the organisation compliance rollup
GET
/
org
/
security
/
compliance
Get the organisation compliance rollup
import requests
url = "https://platform.ankra.app/org/security/compliance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/compliance \
--header 'Authorization: Bearer <token>'{
"clusters": [
{
"benchmarks": [
{
"fail_count": 123,
"failed_checks": 123,
"pass_count": 123,
"spec_id": "<string>",
"title": "<string>",
"updated_at": "<string>"
}
],
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"config_audit": {
"failed_count": 123,
"report_count": 123,
"severity": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123
}
},
"detail": "<string>"
}
]
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Per-cluster trivy-operator benchmark pass/fail totals; clusters without trivy-operator or an answering agent carry the explicit not_available status instead of failing the rollup.
Show child attributes
Show child attributes
⌘I